CREATE TABLE atc_prod_spec_char_rels (
    PROD_SPEC_CHAR_REL_ID      NUMBER(18, 0) ,
    PROD_SPEC_CHAR_REL_PUID    VARCHAR2(120)     NOT NULL,
    PROD_SPEC_CHAR_REL_HREF    VARCHAR2(4000),
    PROD_SPEC_CHAR_REL_NAME    VARCHAR2(800)     NOT NULL,
    CHAR_SPEC_SEQ              NUMBER        ,
    REL_TYPE_CODE              VARCHAR2(800)     NOT NULL,
    START_DATE_TIME            TIMESTAMP(6)  ,
    END_DATE_TIME              TIMESTAMP(6)  ,
    CHARACTERISTIC_PUID        VARCHAR2(120) ,
    SPECIFICATION_TYPE         VARCHAR2(800) ,
    AT_TYPE                    VARCHAR2(800) ,
    AT_BASE_TYPE               VARCHAR2(800) ,
    AT_SCHEMA_LOCATION         VARCHAR2(4000),
    PROD_SPEC_CHAR_ID          NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    PROD_SPEC_CHAR_REL_ID      NUMBER(18, 0) ,
    PROD_SPEC_CHAR_REL_PUID    VARCHAR2(120)     NOT NULL,
    PROD_SPEC_CHAR_REL_HREF    VARCHAR2(4000),
    PROD_SPEC_CHAR_REL_NAME    VARCHAR2(800)     NOT NULL,
    CHAR_SPEC_SEQ              NUMBER        ,
    REL_TYPE_CODE              VARCHAR2(800)     NOT NULL,
    START_DATE_TIME            TIMESTAMP(6)  ,
    END_DATE_TIME              TIMESTAMP(6)  ,
    AT_TYPE                    VARCHAR2(800) ,
    AT_BASE_TYPE               VARCHAR2(800) ,
    AT_SCHEMA_LOCATION         VARCHAR2(4000),
    PROD_SPEC_CHAR_ID          NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CHARACTERISTIC_PUID        VARCHAR2(120) ,
    SPECIFICATION_TYPE         VARCHAR2(800) ,
    CONSTRAINT pk_atc_prod_spec_char_rels PRIMARY KEY (PROD_SPEC_CHAR_REL_ID, PROD_SPEC_CHAR_REL_ID)
);
